Bug Hunting Session
Bug 113037 - Watermark created in LO shows improperly in Word
Summary: Watermark created in LO shows improperly in Word
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0 target:6.1.0 target:6.0.0.1
Keywords: filter:doc, filter:docx
Depends on:
Blocks: DOCX DOC Page-Watermark
  Show dependency treegraph
 
Reported: 2017-10-10 12:48 UTC by Aron Budea
Modified: 2017-12-05 12:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample ODT with watermark (10.84 KB, application/vnd.oasis.opendocument.text)
2017-10-10 12:48 UTC, Aron Budea
Details
Sample saved as DOCX (5.08 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-10-10 12:49 UTC, Aron Budea
Details
Sample saved as DOC (9.50 KB, application/msword)
2017-10-10 12:50 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2017-10-10 12:48:49 UTC
Created attachment 136893 [details]
Sample ODT with watermark

A watermark that reads CONFIDENTIAL was added to an empty document with font Calibri (first sample).

Then it was saved as DOC and DOCX, and has the following display issues in MS Office:
- DOCX: text is vertically squashed
- DOC: text is incorrectly positioned and vertically squashed.

Also attaching DOC and DOCX samples.

Observed using LO 6.0 daily build (2017-10-08_04:01:54, 4d94541a7b88b76d856e30dba7f8a3de48260eda) / Windows 7.
Comment 1 Aron Budea 2017-10-10 12:49:36 UTC
Created attachment 136894 [details]
Sample saved as DOCX
Comment 2 Aron Budea 2017-10-10 12:50:19 UTC
Created attachment 136895 [details]
Sample saved as DOC
Comment 3 Aron Budea 2017-10-16 01:11:10 UTC
Additionally, in both cases when you try to edit the watermark in Word, the size defaults to 12 instead of the expected Auto.
Comment 4 Aron Budea 2017-10-17 03:59:06 UTC
Here's the difference in XMLs, note how Word saves font-size as 1pt, while LO saves it as 12pt.
Not sure if the 'on="t" fitshape="t"' make any difference.

Exported from LO:
<v:textpath on="t" fitshape="t" string="CONFIDENTIAL" style="font-family:&quot;Calibri&quot;;font-size:12pt"/>

Saved in Word:
<v:textpath style="font-family:&quot;Calibri&quot;;font-size:1pt" string="CONFIDENTIAL"/>
Comment 5 Commit Notification 2017-11-05 19:54:18 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1e6abe31eb8f7c12c725f7e1267a7cedfcd3d157

tdf#113037 create Watermark with correct ratio

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Thomas Lendo 2017-11-09 08:40:31 UTC
There are still some issues, maybe I've tested too early:

Export to doc and opened in LibO:
- text is little bit squashed

Export to doc and opened in MSO 2013:
- text is little bit squashed and
- positioned at the top of the page,
- when edited the text is shown with height 12pt in watermark dialog,
- when changed (e. g. color) and saved the text shrinks to 12 pt and it will be centered on the page automatically

Export to docx and opened in MSO 2013:
- text is little bit squashed,
- when edited the text is shown with height 12pt in watermark dialog,
- when changed (e. g. color) and saved the text shrinks to 12 pt

Version: 6.0.0.0.alpha1+ (x64)
Build ID: a5af0fd9f27af42cf2e8571f659cdad6e606215b
CPU threads: 8; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-11-07_00:30:02
Comment 7 Commit Notification 2017-11-14 15:50:45 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a3a917748892a6a3194ebfc4db64cfd764cc054a

tdf#113037 DOCX Watermark correct ratio

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-12-02 17:45:26 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=923ca4efe2095998e3da75c372cd7d716db9abb3

tdf#113037 Unify Watermark in DOC & DOCX

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-12-04 20:33:08 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=58784b89c22c6d63fff18fea0aa6636a1370044c

tdf#113037 Watermark centered in DOC

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Szymon Kłos 2017-12-04 20:51:50 UTC
Should be fixed now, please create document from scratch while testing (provided odt file is incorrect).
Comment 11 Commit Notification 2017-12-05 06:46:42 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=17a416759291426999d5b79eceeeb729ca95bc93&h=libreoffice-6-0

tdf#113037 Unify Watermark in DOC & DOCX

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Timur 2017-12-05 09:27:23 UTC
Since watermark from Bug 88774 is from LO 5.4, could you consider backport of this one to 5.4?
Comment 13 Commit Notification 2017-12-05 12:51:05 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3ffdb4db76a39891fa6ad684b7b725b8429935c1&h=libreoffice-6-0

tdf#113037 Watermark centered in DOC

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.